Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.persistence20
Class PropertyImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.persistence20.PropertyImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, Property<T>

    public class PropertyImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, Property<T>

This class implements the `property` xsd type

Original Documentation:

A name-value pair.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`PropertyImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`PropertyImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getName()` Returns the `name` element
`java.lang.String` | `getValue()` Returns the `value` element
`Property<T>` | `removeName()` Removes the `name` attribute
`Property<T>` | `removeValue()` Removes the `value` attribute
`Property<T>` | `setName(java.lang.String name)` Sets the `name` attribute
`Property<T>` | `setValue(java.lang.String value)` Sets the `value` attribute
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyImpl

    public PropertyImpl(T t,
                        java.lang.String nodeName,
                        org.jboss.shrinkwrap.descriptor.spi.Node node)

### PropertyImpl

    public PropertyImpl(T t,
                        java.lang.String nodeName,
                        org.jboss.shrinkwrap.descriptor.spi.Node node,
                        org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setName

    public Property<T> setName(java.lang.String name)

  Sets the `name` attribute

  Specified by:
    `setName` in interface `Property<T>`
  Parameters:
    `name` - the value for the attribute `name`
  Returns:
    the current instance of `Property`

### removeName

    public Property<T> removeName()

  Removes the `name` attribute

  Specified by:
    `removeName` in interface `Property<T>`
  Returns:
    the current instance of `Property`

### getName

    public java.lang.String getName()

  Returns the `name` element

  Specified by:
    `getName` in interface `Property<T>`
  Returns:
    the node defined for the element `name`

### setValue

    public Property<T> setValue(java.lang.String value)

  Sets the `value` attribute

  Specified by:
    `setValue` in interface `Property<T>`
  Parameters:
    `value` - the value for the attribute `value`
  Returns:
    the current instance of `Property`

### removeValue

    public Property<T> removeValue()

  Removes the `value` attribute

  Specified by:
    `removeValue` in interface `Property<T>`
  Returns:
    the current instance of `Property`

### getValue

    public java.lang.String getValue()

  Returns the `value` element

  Specified by:
    `getValue` in interface `Property<T>`
  Returns:
    the node defined for the element `value`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD